using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// Information about third party competition award.
  /// </summary>
  [DataContract]
  public class Award {
    /// <summary>
    /// Award identificator.
    /// </summary>
    /// <value>Award identificator.</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "id")]
    public long? Id { get; set; }

    /// <summary>
    /// Award name.
    /// </summary>
    /// <value>Award name.</value>
    [DataMember(Name="name", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "name")]
    public string Name { get; set; }

    /// <summary>
    /// Url to award photo.
    /// </summary>
    /// <value>Url to award photo.</value>
    [DataMember(Name="photo", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "photo")]
    public string Photo { get; set; }

    /// <summary>
    /// Competition identificator.
    /// </summary>
    /// <value>Competition identificator.</value>
    [DataMember(Name="competition", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "competition")]
    public long? Competition { get; set; }

    /// <summary>
    /// The year when wine award gained.
    /// </summary>
    /// <value>The year when wine award gained.</value>
    [DataMember(Name="year", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "year")]
    public int? Year { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class Award {\n");
      sb.Append("  Id: ").Append(Id).Append("\n");
      sb.Append("  Name: ").Append(Name).Append("\n");
      sb.Append("  Photo: ").Append(Photo).Append("\n");
      sb.Append("  Competition: ").Append(Competition).Append("\n");
      sb.Append("  Year: ").Append(Year).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
