using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class Error {
    /// <summary>
    /// Type of error.  NOTE: _invalid_grant_ and _insufficient_scope_ errors mean that only your API authorization has insufficient rights and can be fixed. On the contrary, _insufficient_rights_ cant be fixed, cause you dont have permissions in all system.
    /// </summary>
    /// <value>Type of error.  NOTE: _invalid_grant_ and _insufficient_scope_ errors mean that only your API authorization has insufficient rights and can be fixed. On the contrary, _insufficient_rights_ cant be fixed, cause you dont have permissions in all system.</value>
    [DataMember(Name="error", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "error")]
    public string _Error { get; set; }

    /// <summary>
    /// Short additional description of error.
    /// </summary>
    /// <value>Short additional description of error.</value>
    [DataMember(Name="message", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "message")]
    public string Message { get; set; }

    /// <summary>
    /// Long external additional information about error.
    /// </summary>
    /// <value>Long external additional information about error.</value>
    [DataMember(Name="uri", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "uri")]
    public string Uri { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class Error {\n");
      sb.Append("  _Error: ").Append(_Error).Append("\n");
      sb.Append("  Message: ").Append(Message).Append("\n");
      sb.Append("  Uri: ").Append(Uri).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
