# IO.Swagger.Api.CompetitionApi

All URIs are relative to *https://app.gustos.life/{language}/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetCompetition**](CompetitionApi.md#getcompetition) | **GET** /competition/{competition_id} | Get information about competition
[**ListCompetitions**](CompetitionApi.md#listcompetitions) | **GET** /competition/list | List competitions

<a name="getcompetition"></a>
# **GetCompetition**
> Competition GetCompetition (long? competitionId, List<string> fields)

Get information about competition

Gets information about competition. Returning response body fields could be selected using _fields_ parameter. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetCompetitionExample
    {
        public void main()
        {

            var apiInstance = new CompetitionApi();
            var competitionId = 789;  // long? | Identificator of competition.
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 

            try
            {
                // Get information about competition
                Competition result = apiInstance.GetCompetition(competitionId, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling CompetitionApi.GetCompetition: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **competitionId** | **long?**| Identificator of competition. | 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 

### Return type

[**Competition**](Competition.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listcompetitions"></a>
# **ListCompetitions**
> CompetitionList ListCompetitions (string name, long? country, string countryName, string description, List<string> fields, long? offset, long? limit, string sort, string order)

List competitions

Searches competitions by _name_, _country_, and/or _description_. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListCompetitionsExample
    {
        public void main()
        {

            var apiInstance = new CompetitionApi();
            var name = name_example;  // string | Partial or full _name_ of the competition to be searched. (optional) 
            var country = 789;  // long? | Numerical value of _country_ (_tid_) of competitions to be displayed. (optional) 
            var countryName = countryName_example;  // string | Partial or full _country_ name of the competition to be searched. (optional) 
            var description = description_example;  // string | Partial or full _series_ competition description. (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List competitions
                CompetitionList result = apiInstance.ListCompetitions(name, country, countryName, description, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling CompetitionApi.ListCompetitions: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **string**| Partial or full _name_ of the competition to be searched. | [optional] 
 **country** | **long?**| Numerical value of _country_ (_tid_) of competitions to be displayed. | [optional] 
 **countryName** | **string**| Partial or full _country_ name of the competition to be searched. | [optional] 
 **description** | **string**| Partial or full _series_ competition description. | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**CompetitionList**](CompetitionList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

