# IO.Swagger.Api.ListApi

All URIs are relative to *https://app.gustos.life/{language}/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ListCompetitionAwards**](ListApi.md#listcompetitionawards) | **GET** /competition/{competition_id}/award/list | List awards
[**ListCompetitions**](ListApi.md#listcompetitions) | **GET** /competition/list | List competitions
[**ListSeries**](ListApi.md#listseries) | **GET** /vineyard/{vineyard_id}/seria/list | List wine series
[**ListTerms**](ListApi.md#listterms) | **GET** /taxonomy/{vocabulary_id}/term/list | List taxonomy terms
[**ListVineyardWines**](ListApi.md#listvineyardwines) | **GET** /vineyard/{vineyard_id}/wine/list | List wines
[**ListVineyards**](ListApi.md#listvineyards) | **GET** /vineyard/list | List wineries
[**ListVintageAwards**](ListApi.md#listvintageawards) | **GET** /vintage/{vintage_id}/award/list | List vintage awards
[**ListVintages**](ListApi.md#listvintages) | **GET** /wine/{wine_id}/vintage/list | List vintages
[**ListWines**](ListApi.md#listwines) | **GET** /wine/list | List wines

<a name="listcompetitionawards"></a>
# **ListCompetitionAwards**
> AwardList ListCompetitionAwards (long? competitionId, string name, List<string> fields, long? offset, long? limit, string sort, string order)

List awards

Searches awards by _name_. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListCompetitionAwardsExample
    {
        public void main()
        {

            var apiInstance = new ListApi();
            var competitionId = 789;  // long? | Identificator of competition.
            var name = name_example;  // string | Partial or full _name_ of the award to be searched. (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List awards
                AwardList result = apiInstance.ListCompetitionAwards(competitionId, name, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.ListCompetitionAwards: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **competitionId** | **long?**| Identificator of competition. | 
 **name** | **string**| Partial or full _name_ of the award to be searched. | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**AwardList**](AwardList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listcompetitions"></a>
# **ListCompetitions**
> CompetitionList ListCompetitions (string name, long? country, string countryName, string description, List<string> fields, long? offset, long? limit, string sort, string order)

List competitions

Searches competitions by _name_, _country_, and/or _description_. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListCompetitionsExample
    {
        public void main()
        {

            var apiInstance = new ListApi();
            var name = name_example;  // string | Partial or full _name_ of the competition to be searched. (optional) 
            var country = 789;  // long? | Numerical value of _country_ (_tid_) of competitions to be displayed. (optional) 
            var countryName = countryName_example;  // string | Partial or full _country_ name of the competition to be searched. (optional) 
            var description = description_example;  // string | Partial or full _series_ competition description. (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List competitions
                CompetitionList result = apiInstance.ListCompetitions(name, country, countryName, description, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.ListCompetitions: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **string**| Partial or full _name_ of the competition to be searched. | [optional] 
 **country** | **long?**| Numerical value of _country_ (_tid_) of competitions to be displayed. | [optional] 
 **countryName** | **string**| Partial or full _country_ name of the competition to be searched. | [optional] 
 **description** | **string**| Partial or full _series_ competition description. | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**CompetitionList**](CompetitionList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listseries"></a>
# **ListSeries**
> SeriaList ListSeries (long? vineyardId, string name, List<string> fields, long? offset, long? limit, string sort, string order)

List wine series

Searches owned by specified winery wine series by name field. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListSeriesExample
    {
        public void main()
        {

            var apiInstance = new ListApi();
            var vineyardId = 789;  // long? | Identificator of winery.
            var name = name_example;  // string | Partial or full name of series to be searched. (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List wine series
                SeriaList result = apiInstance.ListSeries(vineyardId, name, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.ListSeries: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vineyardId** | **long?**| Identificator of winery. | 
 **name** | **string**| Partial or full name of series to be searched. | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**SeriaList**](SeriaList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listterms"></a>
# **ListTerms**
> Vocabulary ListTerms (string vocabularyId)

List taxonomy terms

Gets information about vocabulary and its terms by specified in _vocabulary_id_ identificator. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListTermsExample
    {
        public void main()
        {

            var apiInstance = new ListApi();
            var vocabularyId = vocabularyId_example;  // string | Vocabulary _vid_ or _machine name_.

            try
            {
                // List taxonomy terms
                Vocabulary result = apiInstance.ListTerms(vocabularyId);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.ListTerms: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vocabularyId** | **string**| Vocabulary _vid_ or _machine name_. | 

### Return type

[**Vocabulary**](Vocabulary.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listvineyardwines"></a>
# **ListVineyardWines**
> WineList ListVineyardWines (long? vineyardId, string name, long? country, string countryName, long? series, string seriesName, string year, long? beverageType, long? beverageTypeSecondary, long? color, string grapeCategory, long? co2, long? method, string isExtraSweet, string isUnderFilmOfYeast, bool? hasAwards, string alcohol, string sugar, long? region, string regionName, bool? isIgp, List<long?> grapes, List<string> fields, long? offset, long? limit, string sort, string order)

List wines

Searches wines owned by specified in _vineyard_id_ parameter winery by _name_, _country_, and/or _series_ names. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListVineyardWinesExample
    {
        public void main()
        {

            var apiInstance = new ListApi();
            var vineyardId = 789;  // long? | Identificator of winery.
            var name = name_example;  // string | Partial or full _name_ of the wine to be searched. (optional) 
            var country = 789;  // long? | Numerical value of _country_ of wines to be displayed. (optional) 
            var countryName = countryName_example;  // string | Partial or full _country_ name of the wine to be searched. If _country_ parameter is set this parameter will not take effect. (optional) 
            var series = 789;  // long? | Numerical value of _series_ of wines to be displayed. (optional) 
            var seriesName = seriesName_example;  // string | Partial or full _series_ name of the wine to be searched. If _series_ parameter is set this parameter will not take effect. (optional) 
            var year = year_example;  // string | _Year_ of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var beverageType = 789;  // long? | Numerical value of primary _beverage type_ of wines to be displayed. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary without parents.  NOTE: See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var beverageTypeSecondary = 789;  // long? | Numerical value of secondary _beverage type_ of wines to be displayed. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary with parents.  NOTE: This field depends on _beverage_type_ field. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var color = 789;  // long? | Numerical value of _color_ of wines to be displayed. Represents identificator of taxonomy term in _wine_color_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _beverageType_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var grapeCategory = grapeCategory_example;  // string | Value of _grape category_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _color_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var co2 = 789;  // long? | Numerical value of _co2_ of wines to be displayed. Represents identificator of taxonomy term in _co2_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _beverageType_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var method = 789;  // long? | Numerical value of _method_ of wines to be displayed. Represents identificator of taxonomy term in _method_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _color_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var isExtraSweet = isExtraSweet_example;  // string | Value of _isExtraSweet_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _co2_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var isUnderFilmOfYeast = isUnderFilmOfYeast_example;  // string | Value of _isUnderFilmOfYeast_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _co2_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var hasAwards = true;  // bool? | Defines if displayed wines must contain awards. (optional) 
            var alcohol = alcohol_example;  // string | Value of _alcohol_ amount of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var sugar = sugar_example;  // string | Value of _sugar_ amount of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var region = 789;  // long? | Numerical value (_tid_) of _region_ of wines to be displayed. (optional) 
            var regionName = regionName_example;  // string | Full or partial name of _region_ of wines to be displayed. If _region_ parameter is set this parameter will not take effect. (optional) 
            var isIgp = true;  // bool? | Value of _isIGP_ of wines to be displayed. (optional) 
            var grapes = new List<long?>(); // List<long?> | Separated by space numerical values (_tid_) of _grapes_ included in wines to be displayed. (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List wines
                WineList result = apiInstance.ListVineyardWines(vineyardId, name, country, countryName, series, seriesName, year, beverageType, beverageTypeSecondary, color, grapeCategory, co2, method, isExtraSweet, isUnderFilmOfYeast, hasAwards, alcohol, sugar, region, regionName, isIgp, grapes, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.ListVineyardWines: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vineyardId** | **long?**| Identificator of winery. | 
 **name** | **string**| Partial or full _name_ of the wine to be searched. | [optional] 
 **country** | **long?**| Numerical value of _country_ of wines to be displayed. | [optional] 
 **countryName** | **string**| Partial or full _country_ name of the wine to be searched. If _country_ parameter is set this parameter will not take effect. | [optional] 
 **series** | **long?**| Numerical value of _series_ of wines to be displayed. | [optional] 
 **seriesName** | **string**| Partial or full _series_ name of the wine to be searched. If _series_ parameter is set this parameter will not take effect. | [optional] 
 **year** | **string**| _Year_ of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **beverageType** | **long?**| Numerical value of primary _beverage type_ of wines to be displayed. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary without parents.  NOTE: See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **beverageTypeSecondary** | **long?**| Numerical value of secondary _beverage type_ of wines to be displayed. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary with parents.  NOTE: This field depends on _beverage_type_ field. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **color** | **long?**| Numerical value of _color_ of wines to be displayed. Represents identificator of taxonomy term in _wine_color_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _beverageType_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **grapeCategory** | **string**| Value of _grape category_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _color_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **co2** | **long?**| Numerical value of _co2_ of wines to be displayed. Represents identificator of taxonomy term in _co2_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _beverageType_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **method** | **long?**| Numerical value of _method_ of wines to be displayed. Represents identificator of taxonomy term in _method_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _color_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **isExtraSweet** | **string**| Value of _isExtraSweet_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _co2_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **isUnderFilmOfYeast** | **string**| Value of _isUnderFilmOfYeast_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _co2_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **hasAwards** | **bool?**| Defines if displayed wines must contain awards. | [optional] 
 **alcohol** | **string**| Value of _alcohol_ amount of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **sugar** | **string**| Value of _sugar_ amount of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **region** | **long?**| Numerical value (_tid_) of _region_ of wines to be displayed. | [optional] 
 **regionName** | **string**| Full or partial name of _region_ of wines to be displayed. If _region_ parameter is set this parameter will not take effect. | [optional] 
 **isIgp** | **bool?**| Value of _isIGP_ of wines to be displayed. | [optional] 
 **grapes** | [**List<long?>**](long?.md)| Separated by space numerical values (_tid_) of _grapes_ included in wines to be displayed. | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**WineList**](WineList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listvineyards"></a>
# **ListVineyards**
> VineyardList ListVineyards (string name, string description, string region, long? country, string countryName, bool? hasAwards, List<string> fields, long? offset, long? limit, string sort, string order)

List wineries

Searches winery by _name_, _description_, _region_ and/or _country_ names. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListVineyardsExample
    {
        public void main()
        {

            var apiInstance = new ListApi();
            var name = name_example;  // string | Partial or full _name_ of the winery to be searched. (optional) 
            var description = description_example;  // string | Partial or full _description_ text of the winery to be searched. (optional) 
            var region = region_example;  // string | Partial or full _region_ name of the winery to be searched. (optional) 
            var country = 789;  // long? | Numerical value of _country_ of the wineries to be displayed. (optional) 
            var countryName = countryName_example;  // string | Partial or full _country_ name of the winery to be searched. (optional) 
            var hasAwards = true;  // bool? | Defines if wines of displayed vineyards must contain awards. (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List wineries
                VineyardList result = apiInstance.ListVineyards(name, description, region, country, countryName, hasAwards, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.ListVineyards: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **string**| Partial or full _name_ of the winery to be searched. | [optional] 
 **description** | **string**| Partial or full _description_ text of the winery to be searched. | [optional] 
 **region** | **string**| Partial or full _region_ name of the winery to be searched. | [optional] 
 **country** | **long?**| Numerical value of _country_ of the wineries to be displayed. | [optional] 
 **countryName** | **string**| Partial or full _country_ name of the winery to be searched. | [optional] 
 **hasAwards** | **bool?**| Defines if wines of displayed vineyards must contain awards. | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**VineyardList**](VineyardList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listvintageawards"></a>
# **ListVintageAwards**
> AwardList ListVintageAwards (long? vintageId, string name, long? competition, string competitionName, string year, List<string> fields, long? offset, long? limit, string sort, string order)

List vintage awards

Searches awards by _name_, _competition_ and/or _year_ fields. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListVintageAwardsExample
    {
        public void main()
        {

            var apiInstance = new ListApi();
            var vintageId = 789;  // long? | Identificator of vintage.
            var name = name_example;  // string | Partial or full _name_ of the award to be searched. (optional) 
            var competition = 789;  // long? | _Competition_ identificator where award was gained. (optional) 
            var competitionName = competitionName_example;  // string | Partial or full _name_ of the competition where award was gained. If _competition_ parameter is set this parameter will not take effect. (optional) 
            var year = year_example;  // string | _Year_ when award was gained. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List vintage awards
                AwardList result = apiInstance.ListVintageAwards(vintageId, name, competition, competitionName, year, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.ListVintageAwards: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vintageId** | **long?**| Identificator of vintage. | 
 **name** | **string**| Partial or full _name_ of the award to be searched. | [optional] 
 **competition** | **long?**| _Competition_ identificator where award was gained. | [optional] 
 **competitionName** | **string**| Partial or full _name_ of the competition where award was gained. If _competition_ parameter is set this parameter will not take effect. | [optional] 
 **year** | **string**| _Year_ when award was gained. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**AwardList**](AwardList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listvintages"></a>
# **ListVintages**
> VintageList ListVintages (long? wineId, string year, bool? hasAwards, string alcohol, string sugar, long? region, string regionName, bool? isIgp, List<long?> grapes, List<string> fields, long? offset, long? limit, string sort, string order)

List vintages

Gets list of all vintages of specified in _wine_id_ parameter wine. Returning objects could be filtered by _is_igp_, _stage_of_production_ and/or _region_ fields values. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListVintagesExample
    {
        public void main()
        {

            var apiInstance = new ListApi();
            var wineId = 789;  // long? | Identificator of wine.
            var year = year_example;  // string | _Year_ of vintages to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var hasAwards = true;  // bool? | Defines if displayed wines must contain awards. (optional) 
            var alcohol = alcohol_example;  // string | Value of _alcohol_ amount of vintages to be displayed. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var sugar = sugar_example;  // string | Value of _sugar_ amount of vintages to be displayed. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var region = 789;  // long? | Numerical value (_tid_) of _region_ of vintages to be displayed. (optional) 
            var regionName = regionName_example;  // string | Full or partial name of _region_ of vintages to be displayed. If _region_ parameter is set this parameter will not take effect. (optional) 
            var isIgp = true;  // bool? | Value of _isIGP_ of vintages to be displayed. (optional) 
            var grapes = new List<long?>(); // List<long?> | Separated by space numerical values (_tid_) of _grapes_ included in vintages to be displayed. (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List vintages
                VintageList result = apiInstance.ListVintages(wineId, year, hasAwards, alcohol, sugar, region, regionName, isIgp, grapes, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.ListVintages: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **wineId** | **long?**| Identificator of wine. | 
 **year** | **string**| _Year_ of vintages to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **hasAwards** | **bool?**| Defines if displayed wines must contain awards. | [optional] 
 **alcohol** | **string**| Value of _alcohol_ amount of vintages to be displayed. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **sugar** | **string**| Value of _sugar_ amount of vintages to be displayed. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **region** | **long?**| Numerical value (_tid_) of _region_ of vintages to be displayed. | [optional] 
 **regionName** | **string**| Full or partial name of _region_ of vintages to be displayed. If _region_ parameter is set this parameter will not take effect. | [optional] 
 **isIgp** | **bool?**| Value of _isIGP_ of vintages to be displayed. | [optional] 
 **grapes** | [**List<long?>**](long?.md)| Separated by space numerical values (_tid_) of _grapes_ included in vintages to be displayed. | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**VintageList**](VintageList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listwines"></a>
# **ListWines**
> WineList ListWines (string name, long? country, string countryName, long? series, string seriesName, string year, long? beverageType, long? beverageTypeSecondary, long? color, string grapeCategory, long? co2, long? method, string isExtraSweet, string isUnderFilmOfYeast, bool? hasAwards, string alcohol, string sugar, long? region, string regionName, bool? isIgp, List<long?> grapes, List<string> fields, long? offset, long? limit, string sort, string order)

List wines

Searches wines by _name_, _country_, and/or _series_ names. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListWinesExample
    {
        public void main()
        {

            var apiInstance = new ListApi();
            var name = name_example;  // string | Partial or full _name_ of the wine to be searched. (optional) 
            var country = 789;  // long? | Numerical value of _country_ of wines to be displayed. (optional) 
            var countryName = countryName_example;  // string | Partial or full _country_ name of the wine to be searched. If _country_ parameter is set this parameter will not take effect. (optional) 
            var series = 789;  // long? | Numerical value of _series_ of wines to be displayed. (optional) 
            var seriesName = seriesName_example;  // string | Partial or full _series_ name of the wine to be searched. If _series_ parameter is set this parameter will not take effect. (optional) 
            var year = year_example;  // string | _Year_ of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var beverageType = 789;  // long? | Numerical value of primary _beverage type_ of wines to be displayed. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary without parents.  NOTE: See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var beverageTypeSecondary = 789;  // long? | Numerical value of secondary _beverage type_ of wines to be displayed. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary with parents.  NOTE: This field depends on _beverage_type_ field. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var color = 789;  // long? | Numerical value of _color_ of wines to be displayed. Represents identificator of taxonomy term in _wine_color_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _beverageType_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var grapeCategory = grapeCategory_example;  // string | Value of _grape category_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _color_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var co2 = 789;  // long? | Numerical value of _co2_ of wines to be displayed. Represents identificator of taxonomy term in _co2_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _beverageType_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var method = 789;  // long? | Numerical value of _method_ of wines to be displayed. Represents identificator of taxonomy term in _method_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _color_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var isExtraSweet = isExtraSweet_example;  // string | Value of _isExtraSweet_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _co2_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var isUnderFilmOfYeast = isUnderFilmOfYeast_example;  // string | Value of _isUnderFilmOfYeast_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _co2_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. (optional) 
            var hasAwards = true;  // bool? | Defines if displayed wines must contain awards. (optional) 
            var alcohol = alcohol_example;  // string | Value of _alcohol_ amount of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var sugar = sugar_example;  // string | Value of _sugar_ amount of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). (optional) 
            var region = 789;  // long? | Numerical value (_tid_) of _region_ of wines to be displayed. (optional) 
            var regionName = regionName_example;  // string | Full or partial name of _region_ of wines to be displayed. If _region_ parameter is set this parameter will not take effect. (optional) 
            var isIgp = true;  // bool? | Value of _isIGP_ of wines to be displayed. (optional) 
            var grapes = new List<long?>(); // List<long?> | Separated by space numerical values (_tid_) of _grapes_ included in wines to be displayed. (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List wines
                WineList result = apiInstance.ListWines(name, country, countryName, series, seriesName, year, beverageType, beverageTypeSecondary, color, grapeCategory, co2, method, isExtraSweet, isUnderFilmOfYeast, hasAwards, alcohol, sugar, region, regionName, isIgp, grapes, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.ListWines: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **string**| Partial or full _name_ of the wine to be searched. | [optional] 
 **country** | **long?**| Numerical value of _country_ of wines to be displayed. | [optional] 
 **countryName** | **string**| Partial or full _country_ name of the wine to be searched. If _country_ parameter is set this parameter will not take effect. | [optional] 
 **series** | **long?**| Numerical value of _series_ of wines to be displayed. | [optional] 
 **seriesName** | **string**| Partial or full _series_ name of the wine to be searched. If _series_ parameter is set this parameter will not take effect. | [optional] 
 **year** | **string**| _Year_ of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **beverageType** | **long?**| Numerical value of primary _beverage type_ of wines to be displayed. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary without parents.  NOTE: See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **beverageTypeSecondary** | **long?**| Numerical value of secondary _beverage type_ of wines to be displayed. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary with parents.  NOTE: This field depends on _beverage_type_ field. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **color** | **long?**| Numerical value of _color_ of wines to be displayed. Represents identificator of taxonomy term in _wine_color_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _beverageType_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **grapeCategory** | **string**| Value of _grape category_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _color_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **co2** | **long?**| Numerical value of _co2_ of wines to be displayed. Represents identificator of taxonomy term in _co2_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _beverageType_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **method** | **long?**| Numerical value of _method_ of wines to be displayed. Represents identificator of taxonomy term in _method_ taxonomy vocabulary.  NOTE: Presence of this field in response depends on the _color_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **isExtraSweet** | **string**| Value of _isExtraSweet_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _co2_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **isUnderFilmOfYeast** | **string**| Value of _isUnderFilmOfYeast_ field of wines to be displayed.  NOTE: Presence of this field in response depends on the _co2_ value. See field dependence in [PUT /wine/{wine}](#/wine/updateWine) description. | [optional] 
 **hasAwards** | **bool?**| Defines if displayed wines must contain awards. | [optional] 
 **alcohol** | **string**| Value of _alcohol_ amount of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **sugar** | **string**| Value of _sugar_ amount of vintages of wines to be returned. This field can be _exact value_ or an [_interval_](https://en.wikipedia.org/wiki/Interval_(mathematics)). | [optional] 
 **region** | **long?**| Numerical value (_tid_) of _region_ of wines to be displayed. | [optional] 
 **regionName** | **string**| Full or partial name of _region_ of wines to be displayed. If _region_ parameter is set this parameter will not take effect. | [optional] 
 **isIgp** | **bool?**| Value of _isIGP_ of wines to be displayed. | [optional] 
 **grapes** | [**List<long?>**](long?.md)| Separated by space numerical values (_tid_) of _grapes_ included in wines to be displayed. | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**WineList**](WineList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

