# IO.Swagger.Api.SeriaApi

All URIs are relative to *https://app.gustos.life/{language}/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateSeria**](SeriaApi.md#createseria) | **POST** /vineyard/{vineyard_id}/seria | Create new wine seria
[**ListSeries**](SeriaApi.md#listseries) | **GET** /vineyard/{vineyard_id}/seria/list | List wine series

<a name="createseria"></a>
# **CreateSeria**
> Seria CreateSeria (Seria body, long? vineyardId)

Create new wine seria

Creates new wine seria. Created wine seria will be owned by specified in _vineyard_id_ winery.  WARNING: Be careful wrong parameter _vineyard_id_ can throw _insuficient_rights_ error.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class CreateSeriaExample
    {
        public void main()
        {

            // Configure OAuth2 access token for authorization: common
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new SeriaApi();
            var body = new Seria(); // Seria | 
            var vineyardId = 789;  // long? | Identificator of winery.

            try
            {
                // Create new wine seria
                Seria result = apiInstance.CreateSeria(body, vineyardId);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SeriaApi.CreateSeria: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Seria**](Seria.md)|  | 
 **vineyardId** | **long?**| Identificator of winery. | 

### Return type

[**Seria**](Seria.md)

### Authorization

[common](../README.md#common)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listseries"></a>
# **ListSeries**
> SeriaList ListSeries (long? vineyardId, string name, List<string> fields, long? offset, long? limit, string sort, string order)

List wine series

Searches owned by specified winery wine series by name field. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListSeriesExample
    {
        public void main()
        {

            var apiInstance = new SeriaApi();
            var vineyardId = 789;  // long? | Identificator of winery.
            var name = name_example;  // string | Partial or full name of series to be searched. (optional) 
            var fields = new List<string>(); // List<string> | Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. (optional) 
            var offset = 789;  // long? | Specifies the number of objects to skip before server starts to return objects from the request query. (optional) 
            var limit = 789;  // long? | Limits the objects returned in a response to a specified number of objects. (optional) 
            var sort = sort_example;  // string | Specifies a field on which to sort the response. (optional) 
            var order = order_example;  // string | Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. (optional) 

            try
            {
                // List wine series
                SeriaList result = apiInstance.ListSeries(vineyardId, name, fields, offset, limit, sort, order);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SeriaApi.ListSeries: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vineyardId** | **long?**| Identificator of winery. | 
 **name** | **string**| Partial or full name of series to be searched. | [optional] 
 **fields** | [**List<string>**](string.md)| Specifies fields shoud be returned by server. Represents JSON paths separated by spaces. If not defined, server will return all fields, otherwise only fields indicated in parameter. Wrong values will be ignored.  NOTE: This parameter takes effect for successful responses only.  WARNING: Server will apply field filter even if it has wrong value. | [optional] 
 **offset** | **long?**| Specifies the number of objects to skip before server starts to return objects from the request query. | [optional] 
 **limit** | **long?**| Limits the objects returned in a response to a specified number of objects. | [optional] 
 **sort** | **string**| Specifies a field on which to sort the response. | [optional] 
 **order** | **string**| Specifies that the values in the specified field should be sorted in ascending or descending order. Takes effect only if _sort_ parameter defined. | [optional] 

### Return type

[**SeriaList**](SeriaList.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

