# IO.Swagger.Api.TaxonomyApi

All URIs are relative to *https://app.gustos.life/{language}/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateTerm**](TaxonomyApi.md#createterm) | **POST** /taxonomy/{vocabulary_id}/term | Create new taxonomy term
[**ListTerms**](TaxonomyApi.md#listterms) | **GET** /taxonomy/{vocabulary_id}/term/list | List taxonomy terms

<a name="createterm"></a>
# **CreateTerm**
> Term CreateTerm (Term body, string vocabularyId)

Create new taxonomy term

Creates new taxonomy term in specified in _vocabulary_id_ vocabulary. Adding new terms is allowed for _region_ vocabulary only.  WARNING: Be careful wrong parameter _vocabulary_id_ can throw _insuficient_rights_ error.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class CreateTermExample
    {
        public void main()
        {

            // Configure OAuth2 access token for authorization: common
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new TaxonomyApi();
            var body = new Term(); // Term | 
            var vocabularyId = vocabularyId_example;  // string | Vocabulary _vid_ or _machine name_.

            try
            {
                // Create new taxonomy term
                Term result = apiInstance.CreateTerm(body, vocabularyId);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling TaxonomyApi.CreateTerm: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Term**](Term.md)|  | 
 **vocabularyId** | **string**| Vocabulary _vid_ or _machine name_. | 

### Return type

[**Term**](Term.md)

### Authorization

[common](../README.md#common)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="listterms"></a>
# **ListTerms**
> Vocabulary ListTerms (string vocabularyId)

List taxonomy terms

Gets information about vocabulary and its terms by specified in _vocabulary_id_ identificator. This method works without any authorization.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ListTermsExample
    {
        public void main()
        {

            var apiInstance = new TaxonomyApi();
            var vocabularyId = vocabularyId_example;  // string | Vocabulary _vid_ or _machine name_.

            try
            {
                // List taxonomy terms
                Vocabulary result = apiInstance.ListTerms(vocabularyId);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling TaxonomyApi.ListTerms: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vocabularyId** | **string**| Vocabulary _vid_ or _machine name_. | 

### Return type

[**Vocabulary**](Vocabulary.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

