# IO.Swagger.Model.Wine
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **long?** | Wine identificator. | [optional] 
**Name** | **string** | Name of wine. | [optional] 
**Country** | **long?** | Country where wine was produced. Represents identificator of taxonomy term in _country_ taxonomy vocabulary. | [optional] 
**Series** | [**Seria**](Seria.md) |  | [optional] 
**IncludeSeriesInName** | **bool?** | Indicates if wine seria should be included in wine name. | [optional] 
**Created** | **int?** | Timestamp when wine was created. | [optional] 
**Updated** | **int?** | Timestamp when wine was last modified. | [optional] 
**Vineyard** | **long?** | Owner of wine. Is displayed only for _/wine/list_ requests. | [optional] 
**BeverageType** | **long?** | Type of beverage. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary. | [optional] 
**BeverageTypeSecondary** | **long?** | Secondary type of beverage. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary.  NOTE: This value depends on the _beverageType_ one. See _beverageType_ hierarchy. | [optional] 
**Color** | **long?** | Color of wine. Represents identificator of taxonomy term in _wine_color_ taxonomy vocabulary.  NOTE: Presence of this field depends on the _beverageType_ value. | [optional] 
**GrapeCategory** | **string** | Indicates if is aromatic wine or not. | [optional] 
**Co2** | **long?** | Amount of CO2 in wine. Represents identificator of taxonomy term in _co2_ taxonomy vocabulary.  NOTE: Presence of this field depends on the _beverageType_ value. | [optional] 
**Method** | **long?** | Way of wine producing. Represents identificator of taxonomy term in _method_ taxonomy vocabulary. | [optional] 
**IsExtraSweet** | **string** | Indicates if wine is extra sweet.  NOTE: _yes_ means that wine is naturally sweet. | [optional] 
**IsUnderFilmOfYeast** | **string** | Indicates if wine is under a film of yeast. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

