# IO.Swagger.Model.WineCreate
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**WineId** | **long?** | Wine identificator. | [optional] 
**Name** | **string** | Name of wine. | [optional] 
**Country** | **long?** | Country where wine was produced. Represents identificator of taxonomy term in _country_ taxonomy vocabulary. | [optional] 
**Series** | [**Seria**](Seria.md) |  | [optional] 
**IncludeSeriesInName** | **bool?** | Indicates if wine seria should be included in wine name. | [optional] 
**BeverageType** | **long?** | Type of beverage. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary. | [optional] 
**BeverageTypeSecondary** | **long?** | Secondary type of beverage. Represents identificator of taxonomy term in _beverage_type_ taxonomy vocabulary.  NOTE: This value depends on the _beverageType_ one. See _beverageType_ hierarchy. | [optional] 
**Color** | **long?** | Color of wine. Represents identificator of taxonomy term in _color_ taxonomy vocabulary.  NOTE: Presence of this field depends on the _beverageType_ value. | [optional] 
**GrapeCategory** | **string** | Indicates if is aromatic wine or not. | [optional] 
**Co2** | **long?** | Amount of CO2 in wine. Represents identificator of taxonomy term in _co2_ taxonomy vocabulary.  NOTE: Presence of this field depends on the _beverageType_ value. | [optional] 
**Method** | **long?** | Way of wine producing. Represents identificator of taxonomy term in _method_ taxonomy vocabulary. | [optional] 
**IsExtraSweet** | **string** | Indicates if wine is extra sweet.  NOTE: _yes_ means that wine is naturally sweet. | [optional] 
**IsUnderFilmOfYeast** | **string** | Indicates if wine is under a film of yeast. | [optional] 
**VintageId** | **long?** | Vintage identificator. | [optional] 
**Photo** | **System.IO.Stream** |  | [optional] 
**IsIGP** | **bool?** | Indicates if the _region_ is a protected geographical indication. | [optional] 
**StageOfProduction** | **long?** | Stage of vintage production. Represents identificator of taxonomy term in _stage_of_wine_production_ taxonomy vocabulary. | [optional] 
**ProductionVolume** | **float?** | Production volume. | [optional] 
**ProductionUnits** | **long?** | Production volume units. Represents identificator of taxonomy term in _production_volume_ taxonomy vocabulary. | [optional] 
**Alcohol** | **float?** | Amount of alcohol contained in vintage. | [optional] 
**Sugar** | **float?** | Amount of sugar contained in vintage. | [optional] 
**Year** | **int?** | A year when the vintage was produced. | [optional] 
**Created** | **int?** | Timestamp when vintage was created. | [optional] 
**Updated** | **int?** | Timestamp when vintage was last modified. | [optional] 
**Grapes** | **List&lt;List&lt;Object&gt;&gt;** | Grape sorts and their percentage in wine.  NOTE: Total _percentage_ MUST be in range of 0 and 100. | [optional] 
**Region** | **long?** | A region where the wine was produced. | [optional] 
**IncludeRegionInName** | **bool?** | Indicates if _region_ should be included in _wine_ _name_. | [optional] 
**CategorySimple** | **List&lt;string&gt;** |  | [optional] 
**CategoryProfessional** | **int?** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

